PHPExcel_Shared_ZipArchive

category | PHPExcel
package | PHPExcel_Shared_ZipArchive
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Add a new file to the zip archive from a string of raw data.

    addFromString(string $localname, string $contents)

### Parameters

#### $localname

`string`

Directory/Name of the file to add to the zip archive

#### $contents

`string`

String of data to add to the zip archive

## Close this zip archive

    close()

## Open a new zip archive

    open(string $fileName) : boolean

### Parameters

#### $fileName

`string`

Filename for the zip archive

### Returns

`boolean`

### Properties

##

    $_tempDir : string

##

    $_zip : string

### Constants

## CREATE

    CREATE

## constants

    OVERWRITE